package go;

import go.parser.*;
import go.lexer.*;
import go.node.*;
import java.io.*;

class Main {
	public static void main(String[] args) {
                try {
                        Lexer lexer = new GoLexer(new PushbackReader(new InputStreamReader(System.in), 1024));
                        Parser p = new Parser(lexer);
                        p.parse();
                        System.out.println("OK");
                }
                catch (Exception e) {
                        System.out.println("Parse error: " + e);
                }
        }
}
